LTSP Edubuntu 14.04, Berry Terminal - Gnome-session failed on connection

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

LTSP Edubuntu 14.04, Berry Terminal - Gnome-session failed on connection

Daniel Huhardeaux
Hello,

I installed an Edubuntu 14.04.3 server with LTSP activated. I want to
connect using a thin client like Pi using Berry Terminal. Problem is
that connection failed with

gnome-session-is-accelerated: No composite extension.
gnome-session-check-accelerated: Helper exited with code 256
gnome-session-is-accelerated: No composite extension.
gnome-session-check-accelerated: Helper exited with code 256
gnome-session[2469]: WARNING: software acceleration check failed: Child
process exited with code 1
gnome-session[2469]: CRITICAL: We failed, but the fail whale is dead.
Sorry....

I tried various solution from internet like upgrading to eugenen san
ppa, problem is still there.

Question: does someone use 14.04 with LTSP ? How did you solve this
matter knowing that few bugs are open on launchpad ? Is there an easy
way to replace gnome-session with another binary (mate-session?) and how ?

Thanks to share your experience.

Regards

Daniel

--
TOOTAi Networks

--
edubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/edubuntu-users
Reply | Threaded
Open this post in threaded view
|

Re: LTSP Edubuntu 14.04, Berry Terminal - Gnome-session failed on connection

ross-2
Hi
it's know issue. From berry terminal web page
see folowing link
https://bugs.launchpad.net/ubuntu/+source/gnome-session/+bug/1251281
there are same workaround but I didn't tested.

Rgds
Ross


On 05/10/2015 11:21, Daniel Huhardeaux wrote:

> Hello,
>
> I installed an Edubuntu 14.04.3 server with LTSP activated. I want to
> connect using a thin client like Pi using Berry Terminal. Problem is
> that connection failed with
>
> gnome-session-is-accelerated: No composite extension.
> gnome-session-check-accelerated: Helper exited with code 256
> gnome-session-is-accelerated: No composite extension.
> gnome-session-check-accelerated: Helper exited with code 256
> gnome-session[2469]: WARNING: software acceleration check failed:
> Child process exited with code 1
> gnome-session[2469]: CRITICAL: We failed, but the fail whale is dead.
> Sorry....
>
> I tried various solution from internet like upgrading to eugenen san
> ppa, problem is still there.
>
> Question: does someone use 14.04 with LTSP ? How did you solve this
> matter knowing that few bugs are open on launchpad ? Is there an easy
> way to replace gnome-session with another binary (mate-session?) and
> how ?
>
> Thanks to share your experience.
>
> Regards
>
> Daniel
>


--
edubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/edubuntu-users
Reply | Threaded
Open this post in threaded view
|

Re: LTSP Edubuntu 14.04, Berry Terminal - Gnome-session failed on connection

Daniel Huhardeaux
Le 05/10/2015 12:06, Rosario Crispo a écrit :
> Hi
> it's know issue. From berry terminal web page
> see folowing link
> https://bugs.launchpad.net/ubuntu/+source/gnome-session/+bug/1251281
> there are same workaround but I didn't tested.

Hi Ross,

thanks for your reply. As I told in my original post, I already test
those workarounds, no one is working.

[...]

>
> On 05/10/2015 11:21, Daniel Huhardeaux wrote:
>> Hello,
>>
>> I installed an Edubuntu 14.04.3 server with LTSP activated. I want to
>> connect using a thin client like Pi using Berry Terminal. Problem is
>> that connection failed with
>>
>> gnome-session-is-accelerated: No composite extension.
>> gnome-session-check-accelerated: Helper exited with code 256
>> gnome-session-is-accelerated: No composite extension.
>> gnome-session-check-accelerated: Helper exited with code 256
>> gnome-session[2469]: WARNING: software acceleration check failed:
>> Child process exited with code 1
>> gnome-session[2469]: CRITICAL: We failed, but the fail whale is dead.
>> Sorry....
>>
>> I tried various solution from internet like upgrading to eugenen san
>> ppa, problem is still there.
>>
>> Question: does someone use 14.04 with LTSP ? How did you solve this
>> matter knowing that few bugs are open on launchpad ? Is there an easy
>> way to replace gnome-session with another binary (mate-session?) and
>> how ?
>>
>> Thanks to share your experience.
>>
>> Regards
>>
>> Daniel
>>
>
>


--
TOOTAi Networks

--
edubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/edubuntu-users
Reply | Threaded
Open this post in threaded view
|

Re: LTSP Edubuntu 14.04, Berry Terminal - Gnome-session failed on connection

Άλκης Γεωργόπουλος
In reply to this post by Daniel Huhardeaux
The LTSP packages are very out of date in (ed)ubuntu, try adding the
Greek schools PPA.

add-apt-repository ppa:ts.sch.gr
apt-get update
apt-get dist-upgrade

in both the server and the chroot, and then run ltsp-update-image.

I've solved various login-related bugs in LTSP in the last few months,
it's possible that what you're seeing is one of them.

Cheers,
Alkis

On 05/10/2015 12:21 μμ, Daniel Huhardeaux wrote:

> Hello,
>
> I installed an Edubuntu 14.04.3 server with LTSP activated. I want to
> connect using a thin client like Pi using Berry Terminal. Problem is
> that connection failed with
>
> gnome-session-is-accelerated: No composite extension.
> gnome-session-check-accelerated: Helper exited with code 256
> gnome-session-is-accelerated: No composite extension.
> gnome-session-check-accelerated: Helper exited with code 256
> gnome-session[2469]: WARNING: software acceleration check failed: Child
> process exited with code 1
> gnome-session[2469]: CRITICAL: We failed, but the fail whale is dead.
> Sorry....
>
> I tried various solution from internet like upgrading to eugenen san
> ppa, problem is still there.
>
> Question: does someone use 14.04 with LTSP ? How did you solve this
> matter knowing that few bugs are open on launchpad ? Is there an easy
> way to replace gnome-session with another binary (mate-session?) and how ?
>
> Thanks to share your experience.
>
> Regards
>
> Daniel
>


--
edubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/edubuntu-users
Reply | Threaded
Open this post in threaded view
|

Re: LTSP Edubuntu 14.04, Berry Terminal - Gnome-session failed on connection

Daniel Huhardeaux
Le 05/10/2015 13:45, Alkis Georgopoulos a écrit :

> The LTSP packages are very out of date in (ed)ubuntu, try adding the
> Greek schools PPA.
>
> add-apt-repository ppa:ts.sch.gr
> apt-get update
> apt-get dist-upgrade
>
> in both the server and the chroot, and then run ltsp-update-image.
>
> I've solved various login-related bugs in LTSP in the last few months,
> it's possible that what you're seeing is one of them.

Hi Alkis, sorry for delay.

I followed your instructions after having installed a fresh Ubuntu
14.04.3 desktop image on the server.

Connection from client finishes with the same error, but now from
x-session-manager:

Oct  8 19:11:25 TOO-LTSP x-session-manager[2980]: WARNING: software
acceleration check failed: Child process exited with code 1
Oct  8 19:11:25 TOO-LTSP x-session-manager[2980]: CRITICAL: We failed,
but the fail whale is dead. Sorry....

Did'nt you face this error?

My server is an HP  Compaq dc5850 Small Form Factor (AJ459AV) with AMD
Athlon(tm) Dual Core Processor 5000B

If someone had an idea on how to solve this issue, would be great :-)

Daniel

>
> On 05/10/2015 12:21 μμ, Daniel Huhardeaux wrote:
>> Hello,
>>
>> I installed an Edubuntu 14.04.3 server with LTSP activated. I want to
>> connect using a thin client like Pi using Berry Terminal. Problem is
>> that connection failed with
>>
>> gnome-session-is-accelerated: No composite extension.
>> gnome-session-check-accelerated: Helper exited with code 256
>> gnome-session-is-accelerated: No composite extension.
>> gnome-session-check-accelerated: Helper exited with code 256
>> gnome-session[2469]: WARNING: software acceleration check failed: Child
>> process exited with code 1
>> gnome-session[2469]: CRITICAL: We failed, but the fail whale is dead.
>> Sorry....
>>
>> I tried various solution from internet like upgrading to eugenen san
>> ppa, problem is still there.
>>
>> Question: does someone use 14.04 with LTSP ? How did you solve this
>> matter knowing that few bugs are open on launchpad ? Is there an easy
>> way to replace gnome-session with another binary (mate-session?) and
>> how ?

[...]

--
TOOTAi Networks

--
edubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/edubuntu-users
Reply | Threaded
Open this post in threaded view
|

Re: LTSP Edubuntu 14.04, Berry Terminal - Gnome-session failed on connection

Άλκης Γεωργόπουλος
On 08/10/2015 08:21 μμ, Daniel Huhardeaux wrote:
>
> Oct  8 19:11:25 TOO-LTSP x-session-manager[2980]: WARNING: software
> acceleration check failed: Child process exited with code 1
> Oct  8 19:11:25 TOO-LTSP x-session-manager[2980]: CRITICAL: We failed,
> but the fail whale is dead. Sorry....
>
> Did'nt you face this error?
>

I faced this issue months ago but not anymore with the latest LTSP.
Did you also install the PPA in the chroot?
What is the output of this command?
sudo ltsp-info

You may want to come to the #ltsp IRC channel for live troubleshooting.

--
edubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/edubuntu-users
Reply | Threaded
Open this post in threaded view
|

Re: LTSP Edubuntu 14.04, Berry Terminal - Gnome-session failed on connection

Daniel Huhardeaux
Le 09/10/2015 04:53, Alkis Georgopoulos a écrit :

> On 08/10/2015 08:21 μμ, Daniel Huhardeaux wrote:
>>
>> Oct  8 19:11:25 TOO-LTSP x-session-manager[2980]: WARNING: software
>> acceleration check failed: Child process exited with code 1
>> Oct  8 19:11:25 TOO-LTSP x-session-manager[2980]: CRITICAL: We failed,
>> but the fail whale is dead. Sorry....
>>
>> Did'nt you face this error?
>>
>
> I faced this issue months ago but not anymore with the latest LTSP.
> Did you also install the PPA in the chroot?
> What is the output of this command?
> sudo ltsp-info

tootai@TOO-LTSP:~$ sudo ltsp-info
[sudo] password for tootai:
server information:
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 14.04.3 LTS
Release:        14.04
Codename:       trusty

server packages:
ii ldm-server 2:2.2.16~r1580+p979+2015092
un ltsp-client <aucun>
un ltsp-client-core <aucun>
ii ltsp-docs 1.1-1
ii ltsp-server 5.5.4+r2669+p1235+201509191
ii ltsp-server-standalone 5.5.4+r2669+p1235+201509191
un ltsp-utils <aucun>
ii ltspfs 1.3-1

packages in chroot: /opt/ltsp/i386
ii ldm 2:2.2.16~r1581+p979+2015100
un ldm-themes <aucun>
ii ldm-ubuntu-theme 2:2.0.47
un ldm-ubuntu-themes <aucun>
ii ltsp-client 5.5.4+r2677+p1235+201510031
ii ltsp-client-core 5.5.4+r2677+p1235+201510031
ii ltspfsd 1.3-1
ii ltspfsd-core 1.3-1

found: /opt/ltsp/i386/etc/lts.conf

found image: /opt/ltsp/images/i386.img

tootai@TOO-LTSP:~$

>
> You may want to come to the #ltsp IRC channel for live troubleshooting.
>

I will as soon as I will finish my current work

--
TOOTAi Networks

--
edubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/edubuntu-users